# System import
import os, secrets
from datetime import timedelta


# Lib imports


# Apoplication imports


# Configs
APP_NAME      = 'RemoteMouse'
ROOT_FILE_PTH = os.path.dirname(os.path.realpath(__file__))


class Config(object):
    TITLE      = APP_NAME
    DEBUG      = False
    TESTING    = False
    THREADED   = False
    SECRET_KEY = "2A#GQafbREoblgMSQYomZSxbaPE6dt#"
    # SECRET_KEY = secrets.token_hex(32)

    PERMANENT_SESSION_LIFETIME     = timedelta(days = 7).total_seconds()
    SQLALCHEMY_TRACK_MODIFICATIONS = False

    LOGIN_PATH                     = "OIDC"  # Value can be OIDC or FLASK_LOGIN
    OIDC_TOKEN_TYPE_HINT           = 'access_token'
    APP_REDIRECT_URI               = "https%3A%2F%2Fwww.remoteconn.com%2F"  # This path is submitted as the redirect URI in certain code flows
    OIDC_CLIENT_SECRETS            = ROOT_FILE_PTH + '/client_secrets.json'
    OIDC_ID_TOKEN_COOKIE_SECURE    = True
    OIDC_REQUIRE_VERIFIED_EMAIL    = False
    OIDC_USER_INFO_ENABLED         = True
    OIDC_VALID_ISSUERS   = [
                            'http://www.ssoapps.com/auth/realms/apps',
                            'https://www.ssoapps.com/auth/realms/apps'
                        ]

    STATIC_FPTH = ROOT_FILE_PTH + "/static"



class ProductionConfig(Config):
    pass



class DevelopmentConfig(Config):
    DEBUG        = True
    USE_RELOADER = True
    OIDC_ID_TOKEN_COOKIE_SECURE = False
    OIDC_REQUIRE_VERIFIED_EMAIL = False


class TestingConfig(Config):
    TESTING = True
    HOST    = "127.0.0.1"
    PORT    = 8088
