#!/bin/bash

# set -o xtrace       ## To debug scripts
# set -o errexit      ## To exit on error
# set -o errunset     ## To exit if a variable is referenced but not set


function main() {
    SCRIPTPATH="$( cd "$(dirname "")" >/dev/null 2>&1 ; pwd -P )"
    cd "${SCRIPTPATH}"
    echo "Working Dir: " $(pwd)
    source "../venv/bin/activate"

    LOG_LEVEL=error
    WORKER_COUNT=1
    ADDR=127.0.0.1
    PORT=8088
    TIMEOUT=60

    # Note can replace 127.0.0.1 with 0.0.0.0 to make it 'network/internet' accessable...
    # Note: NEED -k eventlet for this to work! I spent too many hours on this...
    # <module>:<app>   IE <file>:<flask app variable>
    gunicorn wsgi:app -b $ADDR:$PORT \
                -k eventlet \
                -w $WORKER_COUNT \
                --timeout $TIMEOUT \
                --log-level $LOG_LEVEL
}
main $@;
